var mapper 		= mapperFactory.createMapperMult(["CrossDock"]);
var obj = message;
var listRessuprimento = {} ;
try {
    if(!obj.get("cdUsu")){
      throw {code: 599, message: "Codigo de Usuario Não Informado"};
    }
    if(!obj.get("senhaUsu")){
      throw {code: 599, message: "Senha do Usuario Não Informado"};
    }

    if(!obj.get("cdBarraMinuta")){
      throw {code: 599, message: "Codigo de Barras de Minuta Não Informado"};
    }else{
      listRessuprimento.ressuprimento = {};
      listRessuprimento.ressuprimento.ownsObjects = true;
      listRessuprimento.ressuprimento.listHelper = [];
      var items = mapper.selectList("CrossDock.ListarNotasMinuta",obj);
      listRessuprimento.ressuprimento.listHelper[0] = items.size();
      listRessuprimento.ressuprimento.items = items;
    }


    var senha =  mapper.selectOne("CrossDock.decryptSenha",obj);
    if(obj.get("senhaUsu") != senha.get("senha")){
          throw {code: 599, message: "Senha do usario informada esta incorreta"};
    }else{
      listRessuprimento.naturezaMovimentacao = {};
      listRessuprimento.naturezaMovimentacao.ownsObjects = true;
      listRessuprimento.naturezaMovimentacao.listHelper = [];
      var movOP =  mapper.selectList("CrossDock.ListarNaturezaMovimentacao",obj);
      listRessuprimento.naturezaMovimentacao.listHelper[0] = movOP.size();
      listRessuprimento.naturezaMovimentacao.items = movOP;
    }

    mapper.commit();
    listRessuprimento;
}catch(err) {
	java.lang.System.out.println(err);
	mapper.rollback();
	if(err.code){
		throw JSON.stringify(err);
	}
	throw "{erro:true,  message:'" + escape(err)+"', log: " + JSON.stringify(log) + "}";



}
